Package org.eclipse.emf.cdo.explorer.repositories

## Interface CDORepositoryManager.RepositoryConnectionEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDORepositoryManager

      public static interface CDORepositoryManager.RepositoryConnectionEvent
      extends org.eclipse.net4j.util.event.IEvent

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORepository` | `getRepository()` |
    `CDORepositoryManager` | `getSource()` |
    `boolean` | `isConnected()` |

- - ### Method Detail

    - #### getSource

          CDORepositoryManager getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getRepository

          CDORepository getRepository()

    - #### isConnected

          boolean isConnected()